Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » AJDT » Eclipse 3.2M5
Eclipse 3.2M5 [message #62160] Sun, 19 February 2006 16:02 Go to next message
Matt Chapman is currently offline Matt Chapman
Messages: 429
Registered: July 2009
Senior Member
Support for Eclipse 3.2M5 is available with the latest development build
of AJDT (build id 1.4.0.20060219125111 or later). This is available via
the 3.2 dev Update Site:

http://download.eclipse.org/technology/ajdt/32/dev/update

or as a zip file from the downloads page:

http://www.eclipse.org/ajdt/downloads/

Don't upgrade if you're still on Eclipse 3.2M4 - it won't work!

Please report any bugs as usual.

If you're looking for a stable environment, please use Eclipse 3.1.2 and
AJDT 1.3 for now.

Thanks,

Matt.
Re: Eclipse 3.2M5 [message #62639 is a reply to message #62160] Tue, 07 March 2006 22:36 Go to previous messageGo to next message
Eclipse User
Originally posted by: vranganath.sbcglobal.net

I'm using AJDT v1.4.0.20060307084510 with Eclipse 3.2M5a and I am
not seeing
- "AspectJ Tools" on the popup context menu for Java
Projects and
- "No Weave" option in the preference page of AspectJ Compiler.

As the version I am using is an interim one, would it be beneficial to
report this? If so, where do I submit the bug report it?

waiting for reply,

On Sun, 19 Feb 2006 21:02:35 +0000, Matt Chapman wrote:

> Support for Eclipse 3.2M5 is available with the latest development build
> of AJDT (build id 1.4.0.20060219125111 or later). This is available via
> the 3.2 dev Update Site:
>
> http://download.eclipse.org/technology/ajdt/32/dev/update
>
> or as a zip file from the downloads page:
>
> http://www.eclipse.org/ajdt/downloads/
>
> Don't upgrade if you're still on Eclipse 3.2M4 - it won't work!
>
> Please report any bugs as usual.
>
> If you're looking for a stable environment, please use Eclipse 3.1.2 and
> AJDT 1.3 for now.
>
> Thanks,
>
> Matt.

--

Venkatesh Prasad Ranganath,
Dept. Computing and Information Science,
Kansas State University, US.
web: http://www.cis.ksu.edu/~rvprasad
Re: Eclipse 3.2M5 [message #62663 is a reply to message #62639] Wed, 08 March 2006 06:47 Go to previous message
Matt Chapman is currently offline Matt Chapman
Messages: 429
Registered: July 2009
Senior Member
On Tue, 07 Mar 2006 21:36:41 -0600, Venkatesh Prasad Ranganath wrote:
> I'm using AJDT v1.4.0.20060307084510 with Eclipse 3.2M5a and I am
> not seeing
> - "AspectJ Tools" on the popup context menu for Java
> Projects and
> - "No Weave" option in the preference page of AspectJ Compiler.
>
> As the version I am using is an interim one, would it be beneficial to
> report this? If so, where do I submit the bug report it?

Not seeing the "No Weave" option is correct, as this option is not
needed and has been removed - see bug 130299.

The AspectJ Tools > Convert to AspectJ Project option should of course
still be there for Java projects.

Yes, it is helpful to us to receive bug reports (and any other feedback)
on interim development builds - in fact that is one reason for publishing
these builds. For more information see our bugs page here:

http://www.eclipse.org/ajdt/bugs.php

From there you can view the current list of open bugs, and submit new ones.

Regards,

Matt.
Re: Eclipse 3.2M5 [message #592509 is a reply to message #62160] Tue, 07 March 2006 22:36 Go to previous message
Eclipse User
Originally posted by: vranganath.sbcglobal.net

I'm using AJDT v1.4.0.20060307084510 with Eclipse 3.2M5a and I am
not seeing
- "AspectJ Tools" on the popup context menu for Java
Projects and
- "No Weave" option in the preference page of AspectJ Compiler.

As the version I am using is an interim one, would it be beneficial to
report this? If so, where do I submit the bug report it?

waiting for reply,

On Sun, 19 Feb 2006 21:02:35 +0000, Matt Chapman wrote:

> Support for Eclipse 3.2M5 is available with the latest development build
> of AJDT (build id 1.4.0.20060219125111 or later). This is available via
> the 3.2 dev Update Site:
>
> http://download.eclipse.org/technology/ajdt/32/dev/update
>
> or as a zip file from the downloads page:
>
> http://www.eclipse.org/ajdt/downloads/
>
> Don't upgrade if you're still on Eclipse 3.2M4 - it won't work!
>
> Please report any bugs as usual.
>
> If you're looking for a stable environment, please use Eclipse 3.1.2 and
> AJDT 1.3 for now.
>
> Thanks,
>
> Matt.

--

Venkatesh Prasad Ranganath,
Dept. Computing and Information Science,
Kansas State University, US.
web: http://www.cis.ksu.edu/~rvprasad
Re: Eclipse 3.2M5 [message #592519 is a reply to message #62639] Wed, 08 March 2006 06:47 Go to previous message
Matt Chapman is currently offline Matt Chapman
Messages: 429
Registered: July 2009
Senior Member
On Tue, 07 Mar 2006 21:36:41 -0600, Venkatesh Prasad Ranganath wrote:
> I'm using AJDT v1.4.0.20060307084510 with Eclipse 3.2M5a and I am
> not seeing
> - "AspectJ Tools" on the popup context menu for Java
> Projects and
> - "No Weave" option in the preference page of AspectJ Compiler.
>
> As the version I am using is an interim one, would it be beneficial to
> report this? If so, where do I submit the bug report it?

Not seeing the "No Weave" option is correct, as this option is not
needed and has been removed - see bug 130299.

The AspectJ Tools > Convert to AspectJ Project option should of course
still be there for Java projects.

Yes, it is helpful to us to receive bug reports (and any other feedback)
on interim development builds - in fact that is one reason for publishing
these builds. For more information see our bugs page here:

http://www.eclipse.org/ajdt/bugs.php

From there you can view the current list of open bugs, and submit new ones.

Regards,

Matt.
Previous Topic:local variable assignment pointcut in AspectJ?
Next Topic:AJDT New Feature of the Week: Greater control over advice markers
Goto Forum:
  


Current Time: Wed Aug 20 22:35:28 EDT 2014

Powered by FUDForum. Page generated in 0.01579 seconds